> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxeme.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Application

> Create an application, specifying webhook URLs and speech settings.  

Success is indicated by a 201 response containing a json body with a property "sid" that identifies the application_sid that was created.



## OpenAPI

````yaml post /v1/Applications
openapi: 3.0.3
info:
  title: Voxeme API
  description: >-
    The Voxeme account-level REST API allows a user to create and manage calls,
    applications, speech credentials, carriers, and other resources that are
    associated with their account.


    ## Authentication


    The API uses Bearer authentication; i.e., a bearer token that must be
    provided in the Authorization header, e.g.


    `Authorization: Bearer 'your-api-token'`


    You can generate an api token for your account in the hosted portal.


    ## HTTP response codes


    - POST requests will return a 201 status on success and a JSON payload that
    includes a `sid` property referencing the unique identifier of the resource
    that has been created.
        
    - UPDATE and DELETE requests will return a 204 status on success with no
    body
        
    - GET requests will return a 200 response with a JSON payload
        

    ## API version


    The current version of the api is v1.
  version: 1.0.0
  contact: {}
servers:
  - url: ''
security: []
tags:
  - name: v1
    description: The current API version is v1.
  - name: Alerts
    description: >-
      Alerts are generated when some element of your configuration is not
      working properly; for instance, if you have configured a webhook that is
      unreachable, or you try to use a speech service without having configured
      speech credentials.
  - name: Applications
    description: >-
      Applications represent the call handling rules to be applied to voice
      calls either made or received by the platform. Applications can be
      created, queried, updated, and destroyed via the API.


      Applications have the following properties:


      |property|description|

      |--------|-----------|

      |account_sid|identifies the Account this application belongs to|

      |application_sid|unique identifier for the application|

      |name|user-specified name of application|

      |call_hook|web callback to invoke for new calls|

      |call_status_hook|web callback to invoke for call status notifications|

      |speech_recognizer_vendor|vendor to use for speech recognition. Default:
      google|

      |speech_recognizer_language|default language to use for speech
      recognition, if not specified in the 'gather' or 'transcribe' verbs.
      Default: en-US|

      |speech_synthesis_vendor|vendor to use for text to speech. Default:
      google|

      |speech_synthesis_voice|default voice to use for text to speech, if not
      specified in the 'say' verb. Default: en-US-Wavenet-C|
  - name: Calls
    description: >-
      Calls that are active or recently ended (within 10 minutes) can be
      retrieved and managed via the api.  


      > Note: this api should not be used to retrieve call detail records.  For
      that, please use the /RecentCalls api
  - name: RecentCalls
    description: >-
      RecentCalls represent call detail records (CDRs) that are kept in the
      database.  Currently, 30 days of CDRs are retained in the time-series
      database.
  - name: SpeechCredentials
    description: >-
      SpeechCredentials represent AWS or Google tokens that are associated with
      your account for use in speech synthesis and recognition operations.


      > Note: you are currently restricted to a max of two SpeechCredentials -
      one for AWS and one for Google
  - name: VoipCarriers
    description: >-
      VoipCarriers represent SIP trunking providers that are associated with
      your account for use in placing and receiving PSTN calls.
  - name: SipGateways
    description: >-
      A SipGateway represents a single IP address or range of IPs that are
      associated with a VoipCarrier (e.g. the VoipCarrier places and receives
      calls from these IPs).


      When you create a VoipProvider, you need to also add the SipGateways for
      that provider in order for incoming calls to be properly classified and
      for outbound calls to be properly routed.
paths:
  /v1/Applications:
    post:
      tags:
        - v1
        - Applications
      summary: Create Application
      description: >-
        Create an application, specifying webhook URLs and speech settings.  


        Success is indicated by a 201 response containing a json body with a
        property "sid" that identifies the application_sid that was created.
      operationId: createApplication
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                account_sid:
                  type: string
                  example: ''
                call_hook:
                  type: object
                  properties:
                    method:
                      type: string
                      example: POST
                    url:
                      type: string
                      example: https://public-apps.dev.voxeme.com/hello-world
                call_status_hook:
                  type: object
                  properties:
                    method:
                      type: string
                      example: POST
                    url:
                      type: string
                      example: https://public-apps.dev.voxeme.com/call-status
                name:
                  type: string
                  example: my test app
                speech_recognizer_language:
                  type: string
                  example: en-US
                speech_recognizer_vendor:
                  type: string
                  example: google
                speech_synthesis_language:
                  type: string
                  example: en-US
                speech_synthesis_vendor:
                  type: string
                  example: google
                speech_synthesis_voice:
                  type: string
                  example: en-US-Standard-C
            example:
              account_sid: ''
              call_hook:
                method: POST
                url: https://public-apps.dev.voxeme.com/hello-world
              call_status_hook:
                method: POST
                url: https://public-apps.dev.voxeme.com/call-status
              name: my test app
              speech_recognizer_language: en-US
              speech_recognizer_vendor: google
              speech_synthesis_language: en-US
              speech_synthesis_vendor: google
              speech_synthesis_voice: en-US-Standard-C
      responses:
        '201':
          description: Create Application
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '46'
            Date:
              schema:
                type: string
                example: Thu, 27 May 2021 23:26:33 GMT
            ETag:
              schema:
                type: string
                example: W/"2e-tVmlvHvMsB1ps4hLTc+Y+8vMfl4"
            Server:
              schema:
                type: string
                example: nginx/1.14.2
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  sid:
                    type: string
                    example: bd66b946-0af4-4283-b972-d0d4b0d6f088
              examples:
                Create Application:
                  value:
                    sid: bd66b946-0af4-4283-b972-d0d4b0d6f088

````